# 9.9 World

► |  | Pollen: the book is a program

1 | Installation
2 | Quick tour
3 | Backstory
4 | The big picture
5 | First tutorial
6 | Using raco pollen
7 | File formats
8 | ◊ command overview
9 | Module reference
10 | Acknowledgments
11 | License & source code
| Index

▼ | 9 | Module reference

9.1 | Cache
9.2 | Decode
9.3 | File
9.4 | Pagetree
9.5 | Render
9.6 | Template
9.7 | Tag
9.8 | Top
9.9 | World

On this page:

world: default-port
world: current-server-port
world: main-pollen-export
world: meta-pollen-export
world: project-require
world: check-project-requires-in-render?
world: server-extras-dir
world: current-server-extras-path
world: preproc-source-ext
world: markup-source-ext
world: markdown-source-ext
world: null-source-ext
world: pagetree-source-ext
world: template-source-ext
world: scribble-source-ext
world: decodable-extensions
world: mode-auto
world: mode-preproc
world: mode-markup
world: mode-markdown
world: mode-pagetree
world: default-pagetree
world: pagetree-root-node
world: command-marker
world: default-template-prefix
world: fallback-template
world: template-meta-key
world: newline
world: linebreak-separator
world: paragraph-separator
world: dashboard-css
world: paths-excluded-from-dashboard

6.0.1
top ← prev up next →

#### 9.9`` World

( require pollen/world ) | package: pollen

A set of global values and parameters that are used throughout the Pollen system. If you don’t like the defaults I’ve picked, change them.

All identifiers are exported with the prefix world:, and are so documented below.

> > value

> > world:default-port : integer?

> > parameter

> > ( world:current-server-port ) → integer?

> ( world:current-server-port port) → void?
> port : integer?

A parameter that sets the HTTP port for the project server. Initialized to world:default-port, which defaults to 8080.

> > value

> > world:main-pollen-export : symbol?

> > value

> > world:meta-pollen-export : symbol?

The two exports from a compiled Pollen source file. Initialized to 'doc and 'metas, respectively.

> > value

> > world:project-require : string?

File implicitly required into every Pollen source file from its directory. Initialized to "project-require.rkt".

> > parameter

> > ( world:check-project-requires-in-render? ) → boolean?

> ( world:check-project-requires-in-render? check?) → void?
> check? : boolean?

A parameter that determines whether the world:project-require file is checked for changes on every pass through render. (Can be faster to turn this off if you don’t need it.) Initialized to #t.

> > value

> > world:server-extras-dir : string?

Name of directory where server support files live. Initialized to "server-extras".

> > parameter

> > ( world:current-server-extras-path ) → path?

> ( world:current-server-extras-path dir) → void?
> dir : path?

A parameter that reports the path to the directory of support files for the project server. Initialized to #f, but set to a proper value when the server runs.

> > value

> > world:preproc-source-ext : symbol?

> > value

> > world:markup-source-ext : symbol?

> > value

> > world:markdown-source-ext : symbol?

> > value

> > world:null-source-ext : symbol?

> > value

> > world:pagetree-source-ext : symbol?

> > value

> > world:template-source-ext : symbol?

> > value

> > world:scribble-source-ext : symbol?

File extensions for Pollen source files, initialized to the following values:

world:preproc-source-ext = pp
world:markup-source-ext = pm
world:markdown-source-ext = pmd
world:null-source-ext = p
world:pagetree-source-ext = ptree
world:template-source-ext = pt
world:scribble-source-ext = scrbl

> > value

> > world:decodable-extensions : ( listof symbol? )

File extensions that are eligible for decoding.

> > value

> > world:mode-auto : symbol?

> > value

> > world:mode-preproc : symbol?

> > value

> > world:mode-markup : symbol?

> > value

> > world:mode-markdown : symbol?

> > value

> > world:mode-pagetree : symbol?

Mode indicators for the Pollen reader and parser. Initialized to the following values:

world:mode-auto = auto
world:mode-preproc = pre
world:mode-markup = markup
world:mode-markdown = markdown
world:mode-pagetree = ptree

> > value

> > world:default-pagetree : string?

Pagetree that Pollen dashboard loads by default in each directory. Initialized to "index.ptree".

> > value

> > world:pagetree-root-node : symbol?

Name of the root node in a decoded pagetree. It’s ignored by the code, so its only role is to clue you in that you’re looking at something that came out of the pagetree decoder. Initialized to 'pagetree-root.

> > value

> > world:command-marker : char?

The magic character that indicates a Pollen command, function, or variable. Initialized to #\◊.

> > value

> > world:default-template-prefix : string?

Prefix of the default template. Initialized to "template".

> > value

> > world:fallback-template : string?

Name of the fallback template (i.e., the template used to render a Pollen markup file when no other template can be found). Initialized to "fallback.html.pt".

> > value

> > world:template-meta-key : symbol?

Meta key used to store a template name for that particular source file. Initialized to 'template.

> > value

> > world:newline : string?

> > value

> > world:linebreak-separator : string?

> > value

> > world:paragraph-separator : string?

Default separators used in decoding. The first two are initialized to "\n"; the third to "\n\n".

> > value

> > world:dashboard-css : string?

CSS file used for the dashboard. Initialized to "poldash.css".

> > value

> > world:paths-excluded-from-dashboard : ( listof path? )

Paths not shown in the Pollen dashboard.
top ← prev up next →